<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__capsense__structures" kind="group">
    <compoundname>group_capsense_structures</compoundname>
    <title>CapSense Structures</title>
    <innerclass prot="public" refid="structcy__stc__capsense__adaptive__filter__config__t">cy_stc_capsense_adaptive_filter_config_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__capsense__advanced__centroid__config__t">cy_stc_capsense_advanced_centroid_config_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__capsense__position__t">cy_stc_capsense_position_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__capsense__touch__t">cy_stc_capsense_touch_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__capsense__auto__tune__config__t">cy_stc_capsense_auto_tune_config_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__capsense__smartsense__csd__noise__envelope__t">cy_stc_capsense_smartsense_csd_noise_envelope_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__capsense__smartsense__update__thresholds__t">cy_stc_capsense_smartsense_update_thresholds_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__capsense__ballistic__config__t">cy_stc_capsense_ballistic_config_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__capsense__ballistic__context__t">cy_stc_capsense_ballistic_context_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__capsense__ballistic__delta__t">cy_stc_capsense_ballistic_delta_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__capsense__sensor__context__t">cy_stc_capsense_sensor_context_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__capsense__csx__touch__history__t">cy_stc_capsense_csx_touch_history_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__capsense__csx__touch__buffer__t">cy_stc_capsense_csx_touch_buffer_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__capsense__widget__context__t">cy_stc_capsense_widget_context_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__capsense__pin__config__t">cy_stc_capsense_pin_config_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__capsense__electrode__config__t">cy_stc_capsense_electrode_config_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__capsense__advanced__touchpad__config__t">cy_stc_capsense_advanced_touchpad_config_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__capsense__widget__config__t">cy_stc_capsense_widget_config_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__capsense__idac__gain__table__t">cy_stc_capsense_idac_gain_table_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__capsense__scan__slot__t">cy_stc_capsense_scan_slot_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__capsense__common__config__t">cy_stc_capsense_common_config_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__capsense__bist__context__t">cy_stc_capsense_bist_context_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__capsense__bist__custom__parameters__t">cy_stc_capsense_bist_custom_parameters_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__active__scan__sns__t">cy_stc_active_scan_sns_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__capsense__internal__context__t">cy_stc_capsense_internal_context_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__capsense__widget__crc__data__t">cy_stc_capsense_widget_crc_data_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__capsense__common__context__t">cy_stc_capsense_common_context_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__capsense__context__t">cy_stc_capsense_context_t</innerclass>
    <innerclass prot="public" refid="structcy__stc__capsense__fptr__config__t">cy_stc_capsense_fptr_config_t</innerclass>
      <sectiondef kind="typedef">
      <memberdef id="group__group__capsense__structures_1gadb42bb859316b21e708ad01184fba9c7" kind="typedef" prot="public" static="no">
        <type>uint32_t</type>
        <definition>typedef uint32_t cy_capsense_status_t</definition>
        <argsstring />
        <name>cy_capsense_status_t</name>
        <briefdescription>
<para>Unified return status of CapSense operation: </para>        </briefdescription>
        <detaileddescription>
<para><itemizedlist>
<listitem><para>CY_CAPSENSE_STATUS_SUCCESS</para></listitem><listitem><para>CY_CAPSENSE_STATUS_BAD_PARAM</para></listitem><listitem><para>CY_CAPSENSE_STATUS_BAD_DATA</para></listitem><listitem><para>CY_CAPSENSE_STATUS_TIMEOUT</para></listitem><listitem><para>CY_CAPSENSE_STATUS_INVALID_STATE</para></listitem><listitem><para>CY_CAPSENSE_STATUS_BAD_CONFIG</para></listitem><listitem><para>CY_CAPSENSE_STATUS_CONFIG_OVERFLOW</para></listitem><listitem><para>CY_CAPSENSE_STATUS_HW_BUSY</para></listitem><listitem><para>CY_CAPSENSE_STATUS_UNKNOWN </para></listitem></itemizedlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="203" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="203" />
      </memberdef>
      <memberdef id="group__group__capsense__structures_1ga908447ccc2720f31c861d9eb79ff75d2" kind="typedef" prot="public" static="no">
        <type>void(*</type>
        <definition>typedef void(* cy_capsense_callback_t) (cy_stc_active_scan_sns_t *ptrActiveScan)</definition>
        <argsstring>)(cy_stc_active_scan_sns_t *ptrActiveScan)</argsstring>
        <name>cy_capsense_callback_t</name>
        <briefdescription>
<para>Provides the typedef for the callback function that is intended to be called when the <ref kindref="member" refid="group__group__capsense__enums_1gabfbff81b8b80d4ee1a1d53c1fe0c9a11">cy_en_capsense_callback_event_t</ref> events occurs. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="857" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="857" />
      </memberdef>
      <memberdef id="group__group__capsense__structures_1gabf58e6ce283cb73f9b8a398abf6bad17" kind="typedef" prot="public" static="no">
        <type>void(*</type>
        <definition>typedef void(* cy_capsense_tuner_send_callback_t) (void *context)</definition>
        <argsstring>)(void *context)</argsstring>
        <name>cy_capsense_tuner_send_callback_t</name>
        <briefdescription>
<para>Provides the typedef for the callback function that is called by the <ref kindref="member" refid="group__group__capsense__high__level_1ga0c613df550388c119fdab4e50341a6b4">Cy_CapSense_RunTuner()</ref> function to establish communication with the CapSense Tuner tool to monitor CapSense operation. </para>        </briefdescription>
        <detaileddescription>
<para>Refer to <ref kindref="compound" refid="group__group__capsense__callbacks">Callbacks</ref> section. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="865" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="865" />
      </memberdef>
      <memberdef id="group__group__capsense__structures_1gade1f00c852892b0fc498c9a3b9d28594" kind="typedef" prot="public" static="no">
        <type>void(*</type>
        <definition>typedef void(* cy_capsense_tuner_receive_callback_t) (uint8_t **commandPacket, uint8_t **tunerPacket, void *context)</definition>
        <argsstring>)(uint8_t **commandPacket, uint8_t **tunerPacket, void *context)</argsstring>
        <name>cy_capsense_tuner_receive_callback_t</name>
        <briefdescription>
<para>Provides the typedef for the callback function that is called by the <ref kindref="member" refid="group__group__capsense__high__level_1ga0c613df550388c119fdab4e50341a6b4">Cy_CapSense_RunTuner()</ref> function to establish communication with the CapSense Tuner tool to support life-time tunning. </para>        </briefdescription>
        <detaileddescription>
<para>Refer to <ref kindref="compound" refid="group__group__capsense__callbacks">Callbacks</ref> section. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="873" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="873" />
      </memberdef>
      <memberdef id="group__group__capsense__structures_1ga6b3f78dea109bdccbd5d665198b3261c" kind="typedef" prot="public" static="no">
        <type>void(*</type>
        <definition>typedef void(* cy_func_capsense_csd_setup_widget_ptr_t) (uint32_t widgetId, cy_stc_capsense_context_t *context)</definition>
        <argsstring>)(uint32_t widgetId, cy_stc_capsense_context_t *context)</argsstring>
        <name>cy_func_capsense_csd_setup_widget_ptr_t</name>
        <briefdescription>
<para>The type of a pointer to the <ref kindref="member" refid="group__group__capsense__low__level_1gaff00959c95147f8374b1629caa45c43c">Cy_CapSense_CSDSetupWidget()</ref> function. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="943" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="942" />
      </memberdef>
      <memberdef id="group__group__capsense__structures_1gaaa9f4adf79864cb281e5323efdd9c27a" kind="typedef" prot="public" static="no">
        <type>void(*</type>
        <definition>typedef void(* cy_func_capsense_csd_scan_ptr_t) (cy_stc_capsense_context_t *context)</definition>
        <argsstring>)(cy_stc_capsense_context_t *context)</argsstring>
        <name>cy_func_capsense_csd_scan_ptr_t</name>
        <briefdescription>
<para>The type of a pointer to the <ref kindref="member" refid="group__group__capsense__low__level_1gad5faac7e10eb8c4193d7c93b5615ac70">Cy_CapSense_CSDScan()</ref> function. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="947" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="946" />
      </memberdef>
      <memberdef id="group__group__capsense__structures_1gad59fc5e89ddae5601435b04c97b92a84" kind="typedef" prot="public" static="no">
        <type>uint32_t(*</type>
        <definition>typedef uint32_t(* cy_func_capsense_dp_process_csd_widget_raw_counts_ptr_t) (const cy_stc_capsense_widget_config_t *ptrWdConfig, const cy_stc_capsense_context_t *context)</definition>
        <argsstring>)(const cy_stc_capsense_widget_config_t *ptrWdConfig, const cy_stc_capsense_context_t *context)</argsstring>
        <name>cy_func_capsense_dp_process_csd_widget_raw_counts_ptr_t</name>
        <briefdescription>
<para>The type of a pointer to the Cy_CapSense_DpProcessCsdWidgetRawCounts() function. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="950" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="949" />
      </memberdef>
      <memberdef id="group__group__capsense__structures_1ga62876ab34d323d8b38ed807dfcb3d4e9" kind="typedef" prot="public" static="no">
        <type>void(*</type>
        <definition>typedef void(* cy_func_capsense_dp_process_csd_widget_status_ptr_t) (const cy_stc_capsense_widget_config_t *ptrWdConfig, cy_stc_capsense_context_t *context)</definition>
        <argsstring>)(const cy_stc_capsense_widget_config_t *ptrWdConfig, cy_stc_capsense_context_t *context)</argsstring>
        <name>cy_func_capsense_dp_process_csd_widget_status_ptr_t</name>
        <briefdescription>
<para>The type of a pointer to the Cy_CapSense_DpProcessCsdWidgetStatus() function. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="954" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="953" />
      </memberdef>
      <memberdef id="group__group__capsense__structures_1gad6c5af43b24207594de60f2cdc92d465" kind="typedef" prot="public" static="no">
        <type>void(*</type>
        <definition>typedef void(* cy_func_capsense_csd_disable_mode_ptr_t) (cy_stc_capsense_context_t *context)</definition>
        <argsstring>)(cy_stc_capsense_context_t *context)</argsstring>
        <name>cy_func_capsense_csd_disable_mode_ptr_t</name>
        <briefdescription>
<para>The type of a pointer to the Cy_CapSense_CSDDisableMode() function. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="958" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="957" />
      </memberdef>
      <memberdef id="group__group__capsense__structures_1ga8f05dac4d107c9a521408ad2ae815261" kind="typedef" prot="public" static="no">
        <type>void(*</type>
        <definition>typedef void(* cy_func_capsense_csd_initialize_ptr_t) (cy_stc_capsense_context_t *context)</definition>
        <argsstring>)(cy_stc_capsense_context_t *context)</argsstring>
        <name>cy_func_capsense_csd_initialize_ptr_t</name>
        <briefdescription>
<para>The type of a pointer to the Cy_CapSense_CSDInitialize() function. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="961" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="960" />
      </memberdef>
      <memberdef id="group__group__capsense__structures_1ga7b78283a72feffcf94948e7a26b20b0f" kind="typedef" prot="public" static="no">
        <type>void(*</type>
        <definition>typedef void(* cy_func_capsense_csd_scan_isr_ptr_t) (void *capsenseContext)</definition>
        <argsstring>)(void *capsenseContext)</argsstring>
        <name>cy_func_capsense_csd_scan_isr_ptr_t</name>
        <briefdescription>
<para>The type of a pointer to the Cy_CapSense_CSDScanISR() function. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="964" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="963" />
      </memberdef>
      <memberdef id="group__group__capsense__structures_1ga65e3969643e61bb33972707771e3e618" kind="typedef" prot="public" static="no">
        <type>void(*</type>
        <definition>typedef void(* cy_func_capsense_csx_setup_widget_ptr_t) (uint32_t widgetId, cy_stc_capsense_context_t *context)</definition>
        <argsstring>)(uint32_t widgetId, cy_stc_capsense_context_t *context)</argsstring>
        <name>cy_func_capsense_csx_setup_widget_ptr_t</name>
        <briefdescription>
<para>The type of a pointer to the <ref kindref="member" refid="group__group__capsense__low__level_1ga4a13b66055d7d1649c47cb75d1d65f62">Cy_CapSense_CSXSetupWidget()</ref> function. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="967" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="966" />
      </memberdef>
      <memberdef id="group__group__capsense__structures_1gaa9ee3e90f9c2d6574e97b581917dfc3d" kind="typedef" prot="public" static="no">
        <type>void(*</type>
        <definition>typedef void(* cy_func_capsense_csx_scan_ptr_t) (cy_stc_capsense_context_t *context)</definition>
        <argsstring>)(cy_stc_capsense_context_t *context)</argsstring>
        <name>cy_func_capsense_csx_scan_ptr_t</name>
        <briefdescription>
<para>The type of a pointer to the <ref kindref="member" refid="group__group__capsense__low__level_1gaa76f71d361d42796da2a716a207766cd">Cy_CapSense_CSXScan()</ref> function. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="970" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="969" />
      </memberdef>
      <memberdef id="group__group__capsense__structures_1ga641cf5855af13800c3213a3af5f74dbe" kind="typedef" prot="public" static="no">
        <type>uint32_t(*</type>
        <definition>typedef uint32_t(* cy_capsense_dp_process_csx_widget_raw_counts_ptr_t) (const cy_stc_capsense_widget_config_t *ptrWdConfig, const cy_stc_capsense_context_t *context)</definition>
        <argsstring>)(const cy_stc_capsense_widget_config_t *ptrWdConfig, const cy_stc_capsense_context_t *context)</argsstring>
        <name>cy_capsense_dp_process_csx_widget_raw_counts_ptr_t</name>
        <briefdescription>
<para>The type of a pointer to the Cy_CapSense_DpProcessCsxWidgetRawCounts() function. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="973" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="972" />
      </memberdef>
      <memberdef id="group__group__capsense__structures_1ga4d7ec63e37f2ec69cda8bd16a5d3c36a" kind="typedef" prot="public" static="no">
        <type>void(*</type>
        <definition>typedef void(* cy_func_capsense_dp_process_csx_widget_status_ptr_t) (const cy_stc_capsense_widget_config_t *ptrWdConfig, cy_stc_capsense_context_t *context)</definition>
        <argsstring>)(const cy_stc_capsense_widget_config_t *ptrWdConfig, cy_stc_capsense_context_t *context)</argsstring>
        <name>cy_func_capsense_dp_process_csx_widget_status_ptr_t</name>
        <briefdescription>
<para>The type of a pointer to the Cy_CapSense_DpProcessCsxWidgetStatus() function. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="977" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="976" />
      </memberdef>
      <memberdef id="group__group__capsense__structures_1ga003cffa17c435e52e7bd175dac5df2b3" kind="typedef" prot="public" static="no">
        <type>void(*</type>
        <definition>typedef void(* cy_func_capsense_csx_initialize_ptr_t) (cy_stc_capsense_context_t *context)</definition>
        <argsstring>)(cy_stc_capsense_context_t *context)</argsstring>
        <name>cy_func_capsense_csx_initialize_ptr_t</name>
        <briefdescription>
<para>The type of a pointer to the Cy_CapSense_CSXInitialize() function. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="981" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="980" />
      </memberdef>
      <memberdef id="group__group__capsense__structures_1ga5bb635cf39877356f09d7c91b9181d9a" kind="typedef" prot="public" static="no">
        <type>void(*</type>
        <definition>typedef void(* cy_func_capsense_csx_disablemode_ptr_t) (cy_stc_capsense_context_t *context)</definition>
        <argsstring>)(cy_stc_capsense_context_t *context)</argsstring>
        <name>cy_func_capsense_csx_disablemode_ptr_t</name>
        <briefdescription>
<para>The type of a pointer to the Cy_CapSense_CSXDisableMode() function. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="984" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="983" />
      </memberdef>
      <memberdef id="group__group__capsense__structures_1ga8e2f24c2e9f639004e08f551612b0ddd" kind="typedef" prot="public" static="no">
        <type>void(*</type>
        <definition>typedef void(* cy_func_capsense_csx_scan_isr_ptr_t) (void *capsenseContext)</definition>
        <argsstring>)(void *capsenseContext)</argsstring>
        <name>cy_func_capsense_csx_scan_isr_ptr_t</name>
        <briefdescription>
<para>The type of a pointer to the Cy_CapSense_CSXScanISR() function. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="987" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="986" />
      </memberdef>
      <memberdef id="group__group__capsense__structures_1ga42f17205210e0402c0eac7cf9a2f3d05" kind="typedef" prot="public" static="no">
        <type>void(*</type>
        <definition>typedef void(* cy_func_capsense_adaptive_filter_initialize_lib_ptr_t) (const cy_stc_capsense_adaptive_filter_config_t *config, cy_stc_capsense_position_t *context)</definition>
        <argsstring>)(const cy_stc_capsense_adaptive_filter_config_t *config, cy_stc_capsense_position_t *context)</argsstring>
        <name>cy_func_capsense_adaptive_filter_initialize_lib_ptr_t</name>
        <briefdescription>
<para>The type of a pointer to the Cy_CapSense_AdaptiveFilterInitialize_Lib() function. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="990" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="989" />
      </memberdef>
      <memberdef id="group__group__capsense__structures_1ga6381f67df3d3de4ab2759609865bfbe6" kind="typedef" prot="public" static="no">
        <type>void(*</type>
        <definition>typedef void(* cy_func_capsense_adaptive_filter_run_lib_ptr_t) (const cy_stc_capsense_adaptive_filter_config_t *config, cy_stc_capsense_position_t *context, uint32_t *currentX, uint32_t *currentY)</definition>
        <argsstring>)(const cy_stc_capsense_adaptive_filter_config_t *config, cy_stc_capsense_position_t *context, uint32_t *currentX, uint32_t *currentY)</argsstring>
        <name>cy_func_capsense_adaptive_filter_run_lib_ptr_t</name>
        <briefdescription>
<para>The type of a pointer to the Cy_CapSense_AdaptiveFilterRun_Lib() function. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="994" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="993" />
      </memberdef>
      <memberdef id="group__group__capsense__structures_1ga40875da5af6057e6a2d8d3e67fc9cb4e" kind="typedef" prot="public" static="no">
        <type>void(*</type>
        <definition>typedef void(* cy_func_capsense_ballistic_multiplier_lib_ptr_t) (const cy_stc_capsense_ballistic_config_t *config, const cy_stc_capsense_touch_t *touch, cy_stc_capsense_ballistic_delta_t *delta, uint32_t timestamp, cy_stc_capsense_ballistic_context_t *context)</definition>
        <argsstring>)(const cy_stc_capsense_ballistic_config_t *config, const cy_stc_capsense_touch_t *touch, cy_stc_capsense_ballistic_delta_t *delta, uint32_t timestamp, cy_stc_capsense_ballistic_context_t *context)</argsstring>
        <name>cy_func_capsense_ballistic_multiplier_lib_ptr_t</name>
        <briefdescription>
<para>The type of a pointer to the Cy_CapSense_BallisticMultiplier_Lib() function. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="1000" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="999" />
      </memberdef>
      <memberdef id="group__group__capsense__structures_1ga353a205f17b5c3c66abe2c72e2c430f9" kind="typedef" prot="public" static="no">
        <type>void(*</type>
        <definition>typedef void(* cy_func_capsense_initialize_all_filters_ptr_t) (const cy_stc_capsense_context_t *context)</definition>
        <argsstring>)(const cy_stc_capsense_context_t *context)</argsstring>
        <name>cy_func_capsense_initialize_all_filters_ptr_t</name>
        <briefdescription>
<para>The type of a pointer to the <ref kindref="member" refid="group__group__capsense__low__level_1ga1fcb002d0216bb96ab818276954606e7">Cy_CapSense_InitializeAllFilters()</ref> function. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="1007" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="1006" />
      </memberdef>
      <memberdef id="group__group__capsense__structures_1ga941f807ce3bac3ef024d969e5402719a" kind="typedef" prot="public" static="no">
        <type>void(*</type>
        <definition>typedef void(* cy_func_capsense_ft_run_enabled_filters_internal_ptr_t) (const cy_stc_capsense_widget_config_t *ptrWdConfig, cy_stc_capsense_sensor_context_t *ptrSnsContext, uint16_t *ptrSnsRawHistory, uint8_t *ptrSnsRawHistoryLow)</definition>
        <argsstring>)(const cy_stc_capsense_widget_config_t *ptrWdConfig, cy_stc_capsense_sensor_context_t *ptrSnsContext, uint16_t *ptrSnsRawHistory, uint8_t *ptrSnsRawHistoryLow)</argsstring>
        <name>cy_func_capsense_ft_run_enabled_filters_internal_ptr_t</name>
        <briefdescription>
<para>The type of a pointer to the Cy_CapSense_FtRunEnabledFiltersInternal() function. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="1010" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="1009" />
      </memberdef>
      <memberdef id="group__group__capsense__structures_1ga6324a408708a58794f1a94bceb8d15f2" kind="typedef" prot="public" static="no">
        <type>void(*</type>
        <definition>typedef void(* cy_func_capsense_process_position_filters_ptr_t) (cy_stc_capsense_touch_t *newTouch, const cy_stc_capsense_widget_config_t *ptrWdConfig, const cy_stc_capsense_context_t *context)</definition>
        <argsstring>)(cy_stc_capsense_touch_t *newTouch, const cy_stc_capsense_widget_config_t *ptrWdConfig, const cy_stc_capsense_context_t *context)</argsstring>
        <name>cy_func_capsense_process_position_filters_ptr_t</name>
        <briefdescription>
<para>The type of a pointer to the Cy_CapSense_ProcessPositionFilters() function. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="1016" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="1015" />
      </memberdef>
      <memberdef id="group__group__capsense__structures_1ga659199bc1e80b1ac967718564ad92f8d" kind="typedef" prot="public" static="no">
        <type>void(*</type>
        <definition>typedef void(* cy_func_capsense_run_position_filters_ptr_t) (const cy_stc_capsense_widget_config_t *ptrWdConfig, cy_stc_capsense_position_t *ptrInput, cy_stc_capsense_position_t *ptrHistory, const cy_stc_capsense_context_t *context)</definition>
        <argsstring>)(const cy_stc_capsense_widget_config_t *ptrWdConfig, cy_stc_capsense_position_t *ptrInput, cy_stc_capsense_position_t *ptrHistory, const cy_stc_capsense_context_t *context)</argsstring>
        <name>cy_func_capsense_run_position_filters_ptr_t</name>
        <briefdescription>
<para>The type of a pointer to the Cy_CapSense_RunPositionFilters() function. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="1021" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="1020" />
      </memberdef>
      <memberdef id="group__group__capsense__structures_1gae9e7c8faac62175188467af0ef99f7a1" kind="typedef" prot="public" static="no">
        <type>void(*</type>
        <definition>typedef void(* cy_func_capsense_init_position_filters_ptr_t) (uint32_t filterConfig, const cy_stc_capsense_position_t *ptrInput, cy_stc_capsense_position_t *ptrHistory)</definition>
        <argsstring>)(uint32_t filterConfig, const cy_stc_capsense_position_t *ptrInput, cy_stc_capsense_position_t *ptrHistory)</argsstring>
        <name>cy_func_capsense_init_position_filters_ptr_t</name>
        <briefdescription>
<para>The type of a pointer to the Cy_CapSense_InitPositionFilters() function. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="1027" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="1026" />
      </memberdef>
      <memberdef id="group__group__capsense__structures_1gac94e047f6bc3f4d6dd05cdf8edd352cf" kind="typedef" prot="public" static="no">
        <type>void(*</type>
        <definition>typedef void(* cy_func_capsense_dp_process_button_ptr_t) (const cy_stc_capsense_widget_config_t *ptrWdConfig, const cy_stc_capsense_context_t *context)</definition>
        <argsstring>)(const cy_stc_capsense_widget_config_t *ptrWdConfig, const cy_stc_capsense_context_t *context)</argsstring>
        <name>cy_func_capsense_dp_process_button_ptr_t</name>
        <briefdescription>
<para>The type of a pointer to the Cy_CapSense_DpProcessButton() function. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="1032" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="1031" />
      </memberdef>
      <memberdef id="group__group__capsense__structures_1ga2ad1ae2a39f5b844642bfc731c379321" kind="typedef" prot="public" static="no">
        <type>void(*</type>
        <definition>typedef void(* cy_func_capsense_dp_process_slider_ptr_t) (const cy_stc_capsense_widget_config_t *ptrWdConfig, const cy_stc_capsense_context_t *context)</definition>
        <argsstring>)(const cy_stc_capsense_widget_config_t *ptrWdConfig, const cy_stc_capsense_context_t *context)</argsstring>
        <name>cy_func_capsense_dp_process_slider_ptr_t</name>
        <briefdescription>
<para>The type of a pointer to the Cy_CapSense_DpProcessSlider() function. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="1036" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="1035" />
      </memberdef>
      <memberdef id="group__group__capsense__structures_1ga60c5b06065bab0e4768ce6d902a1f7db" kind="typedef" prot="public" static="no">
        <type>void(*</type>
        <definition>typedef void(* cy_func_capsense_dp_process_csd_matrix_ptr_t) (const cy_stc_capsense_widget_config_t *ptrWdConfig, const cy_stc_capsense_context_t *context)</definition>
        <argsstring>)(const cy_stc_capsense_widget_config_t *ptrWdConfig, const cy_stc_capsense_context_t *context)</argsstring>
        <name>cy_func_capsense_dp_process_csd_matrix_ptr_t</name>
        <briefdescription>
<para>The type of a pointer to the Cy_CapSense_DpProcessCsdMatrix() function. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="1040" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="1039" />
      </memberdef>
      <memberdef id="group__group__capsense__structures_1gac3ec08697ec2c52ab9ea9fa822a3afc9" kind="typedef" prot="public" static="no">
        <type>void(*</type>
        <definition>typedef void(* cy_func_capsense_dp_process_csd_touchpad_ptr_t) (const cy_stc_capsense_widget_config_t *ptrWdConfig, const cy_stc_capsense_context_t *context)</definition>
        <argsstring>)(const cy_stc_capsense_widget_config_t *ptrWdConfig, const cy_stc_capsense_context_t *context)</argsstring>
        <name>cy_func_capsense_dp_process_csd_touchpad_ptr_t</name>
        <briefdescription>
<para>The type of a pointer to the Cy_CapSense_DpProcessCsdTouchpad() function. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="1044" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="1043" />
      </memberdef>
      <memberdef id="group__group__capsense__structures_1ga02536b0f6d3d92b0c6c0c9debc69f059" kind="typedef" prot="public" static="no">
        <type>void(*</type>
        <definition>typedef void(* cy_func_capsense_dp_advanced_centroid_touchpad_ptr_t) (cy_stc_capsense_touch_t *newTouch, const cy_stc_capsense_widget_config_t *ptrWdConfig)</definition>
        <argsstring>)(cy_stc_capsense_touch_t *newTouch, const cy_stc_capsense_widget_config_t *ptrWdConfig)</argsstring>
        <name>cy_func_capsense_dp_advanced_centroid_touchpad_ptr_t</name>
        <briefdescription>
<para>The type of a pointer to the Cy_CapSense_DpAdvancedCentroidTouchpad() function. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="1048" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="1047" />
      </memberdef>
      <memberdef id="group__group__capsense__structures_1ga981076b8e7b6ed50b7bf263933bef8dd" kind="typedef" prot="public" static="no">
        <type>void(*</type>
        <definition>typedef void(* cy_func_capsense_dp_process_proximity_ptr_t) (const cy_stc_capsense_widget_config_t *ptrWdConfig)</definition>
        <argsstring>)(const cy_stc_capsense_widget_config_t *ptrWdConfig)</argsstring>
        <name>cy_func_capsense_dp_process_proximity_ptr_t</name>
        <briefdescription>
<para>The type of a pointer to the Cy_CapSense_DpProcessProximity() function. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="1052" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="1051" />
      </memberdef>
      <memberdef id="group__group__capsense__structures_1ga2a1df1eae8b8eda4dfba54428a767775" kind="typedef" prot="public" static="no">
        <type>void(*</type>
        <definition>typedef void(* cy_func_capsense_dp_process_csx_touchpad_ptr_t) (const cy_stc_capsense_widget_config_t *ptrWdConfig, const cy_stc_capsense_context_t *context)</definition>
        <argsstring>)(const cy_stc_capsense_widget_config_t *ptrWdConfig, const cy_stc_capsense_context_t *context)</argsstring>
        <name>cy_func_capsense_dp_process_csx_touchpad_ptr_t</name>
        <briefdescription>
<para>The type of a pointer to the Cy_CapSense_DpProcessCsxTouchpad() function. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="1055" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="1054" />
      </memberdef>
      <memberdef id="group__group__capsense__structures_1ga447be9213b46eca2c929fcc6910f51e7" kind="typedef" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__capsense__structures_1gadb42bb859316b21e708ad01184fba9c7">cy_capsense_status_t</ref>(*</type>
        <definition>typedef cy_capsense_status_t(* cy_func_capsense_calibrate_all_csd_widgets_ptr_t) (cy_stc_capsense_context_t *context)</definition>
        <argsstring>)(cy_stc_capsense_context_t *context)</argsstring>
        <name>cy_func_capsense_calibrate_all_csd_widgets_ptr_t</name>
        <briefdescription>
<para>The type of a pointer to the <ref kindref="member" refid="group__group__capsense__low__level_1gac6436c4e87b469edbcece2c767801824">Cy_CapSense_CalibrateAllCsdWidgets()</ref> function. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="1059" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="1058" />
      </memberdef>
      <memberdef id="group__group__capsense__structures_1ga4d88dd185b9b8daa94901aac54ca490a" kind="typedef" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__capsense__structures_1gadb42bb859316b21e708ad01184fba9c7">cy_capsense_status_t</ref>(*</type>
        <definition>typedef cy_capsense_status_t(* cy_func_capsense_csd_calibrate_widget_ptr_t) (uint32_t widgetId, uint32_t target, cy_stc_capsense_context_t *context)</definition>
        <argsstring>)(uint32_t widgetId, uint32_t target, cy_stc_capsense_context_t *context)</argsstring>
        <name>cy_func_capsense_csd_calibrate_widget_ptr_t</name>
        <briefdescription>
<para>The type of a pointer to the <ref kindref="member" refid="group__group__capsense__low__level_1ga2b550696b7b308b7234b9c1ff048e300">Cy_CapSense_CSDCalibrateWidget()</ref> function. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="1062" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="1061" />
      </memberdef>
      <memberdef id="group__group__capsense__structures_1gae5add9afd30518c4418dce764259619d" kind="typedef" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__capsense__structures_1gadb42bb859316b21e708ad01184fba9c7">cy_capsense_status_t</ref>(*</type>
        <definition>typedef cy_capsense_status_t(* cy_func_capsense_calibrate_all_csx_widgets_ptr_t) (cy_stc_capsense_context_t *context)</definition>
        <argsstring>)(cy_stc_capsense_context_t *context)</argsstring>
        <name>cy_func_capsense_calibrate_all_csx_widgets_ptr_t</name>
        <briefdescription>
<para>The type of a pointer to the <ref kindref="member" refid="group__group__capsense__low__level_1ga4b1cade7f55c18ab0efe52f01f07ff84">Cy_CapSense_CalibrateAllCsxWidgets()</ref> function. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="1067" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="1066" />
      </memberdef>
      <memberdef id="group__group__capsense__structures_1ga3e4a31e900e0528e9690e72557ed51a4" kind="typedef" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__capsense__structures_1gadb42bb859316b21e708ad01184fba9c7">cy_capsense_status_t</ref>(*</type>
        <definition>typedef cy_capsense_status_t(* cy_func_capsense_ss_auto_tune_ptr_t) (cy_stc_capsense_context_t *context)</definition>
        <argsstring>)(cy_stc_capsense_context_t *context)</argsstring>
        <name>cy_func_capsense_ss_auto_tune_ptr_t</name>
        <briefdescription>
<para>The type of a pointer to the Cy_CapSense_SsAutoTune() function. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="1070" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="1069" />
      </memberdef>
      <memberdef id="group__group__capsense__structures_1gae938941d618b2e112b0070dba1cc502b" kind="typedef" prot="public" static="no">
        <type>void(*</type>
        <definition>typedef void(* cy_func_capsense_run_noise_envelope_lib_ptr_t) (uint16_t rawCount, uint16_t sigPFC, cy_stc_capsense_smartsense_csd_noise_envelope_t *ptrNoiseEnvelope)</definition>
        <argsstring>)(uint16_t rawCount, uint16_t sigPFC, cy_stc_capsense_smartsense_csd_noise_envelope_t *ptrNoiseEnvelope)</argsstring>
        <name>cy_func_capsense_run_noise_envelope_lib_ptr_t</name>
        <briefdescription>
<para>The type of a pointer to the Cy_CapSense_RunNoiseEnvelope_Lib() function. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="1073" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="1072" />
      </memberdef>
      <memberdef id="group__group__capsense__structures_1ga85114ad19013e4b02b4f098aa7ad9a32" kind="typedef" prot="public" static="no">
        <type>void(*</type>
        <definition>typedef void(* cy_func_capsense_dp_update_thresholds_ptr_t) (cy_stc_capsense_widget_context_t *ptrWdContext, const cy_stc_capsense_smartsense_csd_noise_envelope_t *ptrNoiseEnvelope, uint32_t startFlag)</definition>
        <argsstring>)(cy_stc_capsense_widget_context_t *ptrWdContext, const cy_stc_capsense_smartsense_csd_noise_envelope_t *ptrNoiseEnvelope, uint32_t startFlag)</argsstring>
        <name>cy_func_capsense_dp_update_thresholds_ptr_t</name>
        <briefdescription>
<para>The type of a pointer to the Cy_CapSense_DpUpdateThresholds() function. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="1078" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="1077" />
      </memberdef>
      <memberdef id="group__group__capsense__structures_1gae167b286c60d254601a2d5b7f1997188" kind="typedef" prot="public" static="no">
        <type>void(*</type>
        <definition>typedef void(* cy_func_capsense_initialize_noise_envelope_lib_ptr_t) (uint16_t rawCount, uint16_t sigPFC, cy_stc_capsense_smartsense_csd_noise_envelope_t *ptrNoiseEnvelope)</definition>
        <argsstring>)(uint16_t rawCount, uint16_t sigPFC, cy_stc_capsense_smartsense_csd_noise_envelope_t *ptrNoiseEnvelope)</argsstring>
        <name>cy_func_capsense_initialize_noise_envelope_lib_ptr_t</name>
        <briefdescription>
<para>The type of a pointer to the Cy_CapSense_InitializeNoiseEnvelope_Lib() function. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="1083" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="1082" />
      </memberdef>
      <memberdef id="group__group__capsense__structures_1ga2b1c51db9f5e2ae34f13a9d7be2fa90c" kind="typedef" prot="public" static="no">
        <type>void(*</type>
        <definition>typedef void(* cy_func_capsense_bist_initialize_ptr_t) (cy_stc_capsense_context_t *context)</definition>
        <argsstring>)(cy_stc_capsense_context_t *context)</argsstring>
        <name>cy_func_capsense_bist_initialize_ptr_t</name>
        <briefdescription>
<para>The type of a pointer to the Cy_CapSense_BistInitialize() function. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="1088" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="1087" />
      </memberdef>
      <memberdef id="group__group__capsense__structures_1ga3c36c89033827129e099f8de4a248615" kind="typedef" prot="public" static="no">
        <type>void(*</type>
        <definition>typedef void(* cy_func_capsense_bist_disable_mode_ptr_t) (cy_stc_capsense_context_t *context)</definition>
        <argsstring>)(cy_stc_capsense_context_t *context)</argsstring>
        <name>cy_func_capsense_bist_disable_mode_ptr_t</name>
        <briefdescription>
<para>The type of a pointer to the Cy_CapSense_BistDisableMode() function. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="1091" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="1090" />
      </memberdef>
      <memberdef id="group__group__capsense__structures_1gadf5e95ff3a7b27b3e632eaeda5b23a93" kind="typedef" prot="public" static="no">
        <type>void(*</type>
        <definition>typedef void(* cy_func_capsense_bist_ds_initialize_ptr_t) (cy_stc_capsense_context_t *context)</definition>
        <argsstring>)(cy_stc_capsense_context_t *context)</argsstring>
        <name>cy_func_capsense_bist_ds_initialize_ptr_t</name>
        <briefdescription>
<para>The type of a pointer to the Cy_CapSense_BistDsInitialize() function. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" bodystart="1094" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-capsense/cy_capsense_structure.h" line="1093" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>The CapSense structures. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>